All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
version.hpp File Reference

Provides version information for detecting different versions of ViennaCL. More...

Go to the source code of this file.

## Macros

#define | VIENNACL_MAJOR_VERSION 1
#define | VIENNACL_MINOR_VERSION 7
#define | VIENNACL_PATCH_VERSION 0

## Detailed Description

Provides version information for detecting different versions of ViennaCL.

Definition in file version.hpp.

## Macro Definition Documentation

#define VIENNACL_MAJOR_VERSION 1

Definition at line 26 of file version.hpp.

#define VIENNACL_MINOR_VERSION 7

Definition at line 27 of file version.hpp.

#define VIENNACL_PATCH_VERSION 0

Definition at line 28 of file version.hpp.